summaryrefslogtreecommitdiffstats
path: root/graphics/entangle
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/entangle')
-rw-r--r--graphics/entangle/README21
-rw-r--r--graphics/entangle/doinst.sh7
-rw-r--r--graphics/entangle/entangle.SlackBuild65
-rw-r--r--graphics/entangle/entangle.info8
-rw-r--r--graphics/entangle/slack-desc10
5 files changed, 60 insertions, 51 deletions
diff --git a/graphics/entangle/README b/graphics/entangle/README
index 7a429e9ce3..81780b1da2 100644
--- a/graphics/entangle/README
+++ b/graphics/entangle/README
@@ -1,8 +1,15 @@
-Entangle is Open Source software licensed under the GNU GPL v3+.
-It is built on top of libgphoto using GTK-3 for its interface.
-It is fully colour managed, auto-detecting system monitor profile and
-applying the neccessary transforms when displaying images.
+Entangle provides a graphical interface for tethered camera control
+and capture, which means taking photographs with a digital camera
+completely controlled from the computer.
-Entangle provides a graphical interface for "tethered shooting",
-aka taking photographs with a digital camera completely controlled
-from the computer.
+With a sufficiently capable digital SLR camera, Entangle allows to:
+
+- Trigger the shutter from the computer
+- Live preview of the scene before shooting
+- Automatic download and display of photos as they are shot
+- Control of all camera settings from the computer
+
+Licensed under the GNU GPL v3+, it is built on top of libgphoto
+and uses GTK3 for its interface. It is fully colour-managed, auto-
+detects the system's monitor profile and applies the necessary
+transforms when displaying images.
diff --git a/graphics/entangle/doinst.sh b/graphics/entangle/doinst.sh
index 6fa145a19f..2d36e69d79 100644
--- a/graphics/entangle/doinst.sh
+++ b/graphics/entangle/doinst.sh
@@ -7,3 +7,10 @@ if [ -e usr/share/glib-2.0/schemas ]; then
/usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
fi
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/entangle/entangle.SlackBuild b/graphics/entangle/entangle.SlackBuild
index df2087fb47..3311950f6c 100644
--- a/graphics/entangle/entangle.SlackBuild
+++ b/graphics/entangle/entangle.SlackBuild
@@ -2,7 +2,8 @@
# Slackware build script for entangle
-# Copyright 2014 Soydaner Ulker Istanbul,Turkey
+# Copyright 2014 Soydaner Ulker, Istanbul,Turkey
+# Copyright 2023 Philip Lacroix <slackph at posteo dot de>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,8 +26,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=entangle
-VERSION=${VERSION:-0.7.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.0}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +39,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -70,7 +68,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $TMP/$PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -79,39 +77,36 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sed -i -e 's/gnome-icon-theme-symbolic/adwaita-icon-theme/g' configure
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux \
- --disable-schemas-compile
-
-make
-make install DESTDIR=$PKG
-
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-
-DOCS="AUTHORS COPYING ChangeLog NEWS README"
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --buildtype=release \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress man page
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+# Install documentation
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog CONTRIBUTING.md COPYING NEWS README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-rm -f $PKG/usr/lib*/*.la
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/entangle/entangle.info b/graphics/entangle/entangle.info
index b1eb789f8e..c02b5558c3 100644
--- a/graphics/entangle/entangle.info
+++ b/graphics/entangle/entangle.info
@@ -1,8 +1,8 @@
PRGNAM="entangle"
-VERSION="0.7.0"
-HOMEPAGE="http://entangle-photo.org"
-DOWNLOAD="http://entangle-photo.org/download/sources/entangle-0.7.0.tar.gz"
-MD5SUM="bdb5fab70276ea27c4614fecfa5c1d86"
+VERSION="3.0"
+HOMEPAGE="https://entangle-photo.org"
+DOWNLOAD="https://entangle-photo.org/download/sources/entangle-3.0.tar.xz"
+MD5SUM="32060351f18a8caa04e3bf7dd888e54d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="libpeas"
diff --git a/graphics/entangle/slack-desc b/graphics/entangle/slack-desc
index 9715d5075e..8eecd39c5a 100644
--- a/graphics/entangle/slack-desc
+++ b/graphics/entangle/slack-desc
@@ -6,13 +6,13 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-entangle: entangle (Digital camera control GUI)
+entangle: entangle (tethered camera control and capture)
entangle:
-entangle: Entangle provides a graphical interface for "tethered shooting"
-entangle: aka taking photographs with a digital camera completely controlled
-entangle: from the computer.
+entangle: Entangle provides a graphical interface for tethered camera control
+entangle: and capture, which means taking photographs with a digital camera
+entangle: completely controlled from the computer.
entangle:
-entangle: homepage: http://entangle-photo.org/
+entangle: Homepage: https://entangle-photo.org
entangle:
entangle:
entangle: